4
$\begingroup$

I am trying to install psipred in a unix server.

Psipred is installed, but fails because it can not find the correct database files. I have downloaded uniprod90.fasta. Psipred also loads the old legacy ncbi BLAST-2.2.26 and BLAST+.
runpsipred and runpsipredplus have been patched to call the correct version of BLAST.

I have run a few commands to index the uniprod90 database:

pfilt uniref90.fasta > uniref90filt
formatdb -t uniref90filt -i uniref90filt
makeblastdb -in uniref90.fasta -dbtype prot -input_type fasta -out uniref90.fasta

I then ran psipred and got this error:

$ ./psipred/example/example.fasta
Running PSI-BLAST with sequence  ./psipred/example/example.fasta ...
[blastpgp] WARNING: Unable to open uniref90.pin
[blastpgp] WARNING: Unable to open uniref90.pin
FATAL: Error whilst running blastpgp - script terminated!

makeblastdb created 26 pin files, but not uniref90.pin.

$\endgroup$
0
4
$\begingroup$

Try with:

makeblastdb -in uniref90.fasta -dbtype prot -input_type fasta -out uniref90

The -out is the name of the DB. So if you use uniref90.fasta, it creates uniref90.fasta.pinwhile the script seems to be expectinguniref90.pin`.

$\endgroup$
0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.